# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name zlib-enum

%global common_summary Enumerator interface for zlib compression

%global common_description zlib-enum is a stop-gap package to provide enumeratees for\
zlib compression/decompression.

Name:           ghc-%{pkg_name}
Version:        0.2.3
Release:        2%{?dist}
Summary:        %{common_summary}

License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-enumerator-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-zlib-bindings-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Jens Petersen <petersen@redhat.com> - 0.2.3-1
- update to 0.2.3

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.1-3
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.1-2
- rebuild

* Sat Apr 28 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.1-1
- update to 0.2.2.1

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.2.1-4
- add license to ghc_files

* Sat Mar  3 2012 Jens Petersen <petersen@redhat.com> - 0.2.1-3
- rebuild

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.2.1-2
- update to cabal2spec-0.25.2

* Tue Nov  8 2011 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- MIT license, add description and deps

* Tue Nov  8 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
